@echo off
set regkey=KEY_LOCAL_MACHINE\SOFTWARE\EA SPORTS\FIFA 07
set keyname=Install Dir

::create Tempdir
if not exist %temp%\nortmp md %temp%\nortmp
::Create Registry Key (required if key does not exist)
> "%temp%\nortmp\tmp0.reg" ECHO REGEDIT4
>>"%temp%\nortmp\tmp0.reg" ECHO.
>>"%temp%\nortmp\tmp0.reg" ECHO [%regkey%]
START /WAIT REGEDIT /S "%temp%\nortmp\tmp0.reg"
Del %temp%\nortmp\tmp0.reg
::Read and filter Registry Key
start /wait %windir%\regedit /e "%temp%\nortmp\tmp1.reg" "HKEY_LOCAL_MACHINE\SOFTWARE\EA SPORTS\FIFA 07"
Find "%keyname%" < "%temp%\nortmp\tmp1.reg" | Find /V "" >"%temp%\nortmp\nvcpath.txt"
::Del %temp%\nortmp\tmp1.reg
::FOR /F "tokens=* delims==" %%A IN ('Find "%keyname%" < %temp%\nortmp\tmp1.reg') DO SET rootkey=%%A
FOR /F "tokens=* delims==" %%A IN ('TYPE %temp%\nortmp\nvcpath.txt') DO SET rootkey=%%A
FOR /F "eol=;tokens=* delims==" %%A IN ('ECHO.%rootkey%') DO CALL :Parse01 %%A %%B
:Parse01
:: %1 is keyname and %2 is value
SET myapp=%2
:: Remove quotes and replace \\
SET myapp=%myapp:"=%
SET myapp=%myapp:\\=\%
:: ***** Bis hier hin Standard-Parameter ************
cls.
echo.
echo.
echo.
IF exist "%userprofile%\Eigene Dateien\FIFA 07_original_sicher" move "%userprofile%\Eigene Dateien\FIFA 07" "%userprofile%\Eigene Dateien\FIFA 07.vdfb"
IF exist "%userprofile%\Eigene Dateien\FIFA 07_original_sicher" move "%userprofile%\Eigene Dateien\FIFA 07_original_sicher" "%userprofile%\Eigene Dateien\FIFA 07"
echo.
IF NOT exist "%userprofile%\Eigene Dateien\FIFA 07_original_sicher" echo Altes Fifa-Profil wurde erfolgreich wiederhergesellt
echo.
IF exist .\sicher\fifa.db move .\sicher\fifa.db "%myapp%\data\cmn\fifa.db" 
IF exist .\sicher\ger.db move .\sicher\ger.db "%myapp%\data\cmn\fe\ger.db"
IF exist .\sicher\locale.ini move .\sicher\locale.ini "%myapp\locale.ini"
echo.
echo.
echo.
echo Die Original-Daten wurden erfolgreich zurueckgeschrieben!
echo.
echo.
echo.
echo Bis zum naechsten Mal :)
echo.
echo.
echo.
echo.
pause
exit
:end
